<?
$sub_menu = "";
include_once("./_common.php");

if(!$is_admin) exit;
$now	= date("Y-m-d H:i:s", $g4[server_time]);

//-- 페이지 등록 ------------------------------------------------------------------------------------
if($mode == "save") {
	$linktype = '2';			//-- 페이지
	$target	= "_self";
	
	//-- 레이아웃 기본 스킨
	$layout_skins	= get_skin_dir("zm.layout");
	$sw		= false;
	for($i = 0; $i < count($layout_skins); $i++) {
		if($layout_skins[$i] == "zm.basic") { $s_set	.= ", db_layout_skin='zm.basic'"; $sw = true; }
	}
	if(!$sw) $s_set	.= ", db_layout_skin='$layout_skins[0]'";

	sql_query("insert into $zmb[table_builder_config] set db_level='1', db_group_name='$group_name', db_link_type='$linktype', db_target='$target', db_menu_reg='0', db_rank='999', db_datetime='$now' $s_set");

	zm_gourl("./zm.builder_page.php");
}

//-- 페이지 수정 ------------------------------------------------------------------------------------
if($mode == "update") {
	$tmp_info	= sql_fetch("select * from $zmb[table_builder_config] where db_recno='$recno'");
	foreach($tmp_info as $key=>$value) {
		$k	= str_replace("db_", "", $key);
		$mn_info[$k]	= $value;
	}
	unset($tmp_info);

	//-- Page
	$s_skin		=	", db_layout_skin='$in_layout', db_pagename='$in_layout_pagename', db_m_layout_skin='$in_m_layout',  db_m_pagename='$in_m_layout_pagename'";
	$href		= "[#G4URL#]/?zmcd=p$recno";

	$s_subdo	= ", db_subdomain='$in_subdomain', db_url='$go_url'";

	//-- 모바일 적용 여부
	if($in_mobile) {
		$s_mobile	= ", db_mobile='1'";
		if(!$in_m_gname) $in_m_gname = "$in_gname";
	}else{
		$s_mobile	= ", db_mobile=''";
	}
	$s_mobile	.= ", db_m_group_name='$in_m_gname'";

	$s_set		= "set db_group_name='$in_gname', db_group_explain='$in_gname_explain', db_href='$href', db_menu_reg='0', db_datetime='$now' $s_skin $s_mobile";

	$sql		= "update $zmb[table_builder_config] $s_set $s_subdo where db_recno='$recno'";
	$rs			= sql_query($sql);

	if($rs)		alert("변경 내용을 적용 했습니다.", "./zm.builder_page_write.php?recno=$recno");
	else		alert("변경 내용을 적용하던 중 오류가 발생 했습니다.");
}

//-- 페이지 삭제 ------------------------------------------------------------------------------------
if($mode == "del") {
	sql_query("delete from $zmb[table_builder_config] where db_recno='$recno'");
	alert("페이지를 삭제 했습니다.", "./zm.builder_page.php");
}

?>